import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class UsernameFrame extends JFrame {
    private static final String BTN_TXT = " Start Chatting ...";
    private static final String LABEL_TXT = " Choose Your UserName ";
    private static final int WIDTH = 300, HEIGHT = 100;
    JTextField textField;
    JButton btn;

    public UsernameFrame() throws HeadlessException {
        super();
        this.setLayout(new BorderLayout());
        JLabel label = new JLabel(LABEL_TXT);
        add(label, BorderLayout.PAGE_START);
        textField = new JTextField();
        add(textField, BorderLayout.CENTER);
        btn = new JButton(BTN_TXT);
        add(btn, BorderLayout.PAGE_END);
        btn.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                doClickAction();
            }
        });
        setSize(WIDTH, HEIGHT);
        setVisible(true);
    }
    public void doClickAction(){
        ChatRoomGUI chatRoomGUI = new ChatRoomGUI();
        chatRoomGUI.addParticipant(textField.getText());
        this.setVisible(false);
    }
}